This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 193446 - Review Request: GLiv: OpenGL image viewer
Review Request: GLiv: OpenGL image viewer
Status: CLOSED DUPLICATE of bug 216755
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-05-28 16:29 EDT by Adrien Bustany
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 17:26:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrien Bustany 2006-05-28 16:29:45 EDT
Spec URL: http://mymadcat.com/gliv.spec
SRPM URL: http://mymadcat.com/gliv.src.rpm
Description: GLiv is an OpenGL image viewer. GLiv is very fast and smooth at rotating,
panning and zooming if you have an OpenGL accelerated graphics board.

The spec file is took from dag, the package does not seem to be maintained anymore... I spoke to the author, who is ok for gliv to enter fedora extras.

This is my first package for fedora extras, so I seek a sponsor.
Comment 1 Ralf Corsepius 2006-05-28 22:20:04 EDT
(In reply to comment #0)
> Spec URL: http://mymadcat.com/gliv.spec
> SRPM URL: http://mymadcat.com/gliv.src.rpm
All I get when accessing one of these URLs is 404
Comment 2 Adrien Bustany 2006-05-29 10:31:03 EDT
Sorry for the 404...
The URL for the spec file is good, however the SRPM is
http://mymadcat.com/gliv-1.9.5-1.src.rpm
(SPEC file is still http://mymadcat.com/gliv.spec)
Also, this package depends on gtkglext
Comment 3 Parag AN(पराग) 2006-06-01 02:25:39 EDT
NEED Some Work in SPEC file:-
1) Use the dist tag in release like: 
   Release: 1%{?dist}
2) Remove Hard coded Packager tag and Vendor tag also.
3) Use %setup -q instead %setup 

Comment 4 Adrien Bustany 2006-06-02 13:54:13 EDT
Hi,
I updated the SPEC files and rebuilt the rpm (tested a binary build, works too)
with the new spec file. On thing I don't understand is the desktop file get
named gnome-gliv.desktop though the word "gnome" is not mentionned in the SPEC
file...
Comment 5 Parag AN(पराग) 2006-06-19 05:01:56 EDT
wherw is your updated SPEC file and SRC RPM. Provide URL links each time you
update SPEC as well as Tarball. Also update release number.
Comment 6 Ralf Corsepius 2006-06-19 08:41:29 EDT
This package still suffers from several issues:

* Non-utf8 man-pages
# rpmlint /users/packman/src/rpms/RPMS/i386/gliv-1.9.5-1.i386.rpm
W: gliv incoherent-version-in-changelog 1.9.5 1.9.5-1
W: gliv file-not-utf8 /usr/share/man/ru/man1/gliv.1.gz
W: gliv file-not-utf8 /usr/share/man/de/man1/gliv.1.gz

* Package doesn't acknowledge RPM_BUILD_OPTS.

* When building as a normal user:
...
/bin/sh: mkdirhier: command not found
...
This is a bug inside of the toplevel Makefile.am

* When building inside of mock:
...
No desktop-file-install(1), skipping gliv.desktop
...

* %configure --x-libraries=/usr/X11R6/lib 
is wrong for FC >= 5

* Gettext support inside of the package's configuration seems to be broken.
- "BR: bison" is a symptom of the broken configuration.
  This package does not "BR: bison"
Comment 7 Adrien Bustany 2006-06-19 10:47:29 EDT
Hi,
I don't understand what you mean with "BR: bison"

Anyway, I corrected the other bugs, and removed the man pages while I'm not able
to convert them (iconv will fail on an escape sequence error).
I re-enabled the desktop-file-install command, but I have to hardcode the
%{vendor} value (I set it to fedora)
rpmlint does not complain about anything now, but I'm sure there are things to
improve.

http://mymadcat.com/gliv-1.9.5-1.src.rpm
http://mymadcat.com/gliv.spec
Comment 8 Ralf Corsepius 2006-06-19 11:29:27 EDT
(In reply to comment #7)
> I don't understand what you mean with "BR: bison"
Your spec contains:
"BuildRequires: bison"

This not correct. Bison would only be required if using the included libintl,
which you don't want to do on Fedora.
=> Remove "BuildRequires: bison"

> Anyway, I corrected the other bugs, and removed the man pages while I'm not able
> to convert them (iconv will fail on an escape sequence error).
Hmm???

The German man page is iso8859-15 encoded, the Russian KOI8-R
=> Something using these commands below should do the job:
iconv -f iso8859-15 -t utf8
iconf -f KOI8-R -t utf8

> http://mymadcat.com/gliv-1.9.5-1.src.rpm
Please increment the Release-Tag each time you upload a new src.rpm.
Comment 9 Adrien Bustany 2006-06-19 12:23:23 EDT
OK, I converted the man pages to utf-8, and corrected the buildrequires
statement. I also incremented the release tag. But since we're using gettext,
should I add a BR: gettext-devel ?

New URLS :
http://mymadcat.com/gliv.spec
http://mymadcat.com/gliv-1.9.5-2.src.rpm
Comment 10 Kevin Fenzi 2006-09-01 22:44:29 EDT
Hey Madcat, sorry for the lack of recent activity here... 
Since you are seeking sponsorship, you might want to take a look at: 

http://www.fedoraproject.org/wiki/Extras/HowToGetSponsored

If you have additional packages to submit or can add review comments to other 
pending packages that may help sponsors in determining that you understand the 
guidelines and are ready for sponsorship. 
Comment 11 Peter Lemenkov 2006-10-14 06:42:55 EDT
Ping?
Comment 12 Peter Lemenkov 2006-10-14 06:50:21 EDT
Little note:

Change

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root 

to

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Btw, are you still have interest to package this application? If not, I can take it.
Comment 13 Adrien Bustany 2006-10-14 11:31:37 EDT
Hi,
thanks for the tip.
Actually, I got a very intense scholar year, so I'd be glad if you could take
this app. I'll let the spec and the srpm online.
Regards
Adrien BUSTANY
Comment 14 Mamoru TASAKA 2006-11-21 11:52:09 EST
Is this review request stalled?
Comment 15 Adrien Bustany 2006-11-21 12:49:35 EST
Not if Peter Lemenkov handle the packaging. If not, then yes :)
I won't have the time to do it myself this year
Comment 16 Peter Lemenkov 2006-11-21 15:40:09 EST
I'll take it over.
Comment 17 Peter Lemenkov 2006-11-21 15:55:52 EST
See

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216755
Comment 18 Mamoru TASAKA 2006-11-21 17:26:51 EST

*** This bug has been marked as a duplicate of 216755 ***

Note You need to log in before you can comment on or make changes to this bug.